Skip to main content

Register Webhook

Registers a webhook subscription: the action to be notified about, the destination URL, and the token that is sent in the Webhook-Token and Authorization headers on delivery.

POST/api/webhooksAuth: Required

Request Body​

actionstringRequired

The event class to be notified about. One of deposit, withdrawal, order, trade or market.

tokenstringRequired

A value you choose. It is sent back on every delivery, in both the Webhook-Token and Authorization headers. See Webhook Deliveries.

urlstringRequired

Webhook destination URL

Response​

The subscription.

idnumberRequired

The subscription id.

actionstringRequired

The event the subscription is for — see Webhook Deliveries.

tokenstringRequired

The value sent back on every delivery, in both the Webhook-Token and Authorization headers, so you can tell that a call came from us. See Webhook Deliveries.

urlstringRequired

The endpoint deliveries are sent to.

updated_atstringRequired

When the record last changed.

created_atstringRequired

When the record was created.

Errors​

Beyond the shared errors:

CodeMeaning
1001action is not one of deposit, withdrawal, order, trade, market